<div>
  <h2 :id="serverConfig.name">
    {{serverConfig.name}}
  </h2>
  <div>
    <div class="btn-group" role="group">
      <button class="btn btn-sm btn-default" @click="template" v-if="canAdd">
        <i class="fa fa-files-o"></i>
        Use as template
      </button>
      <button class="btn btn-sm btn-danger" @click="remove" v-if="serverConfig.can_edit">
        <i class="fa fa-trash"></i>
        Delete
      </button>
      <button class="btn btn-sm btn-warning" v-if="changed" @click="reset">
        <i class="fa fa-trash-o"></i>
        Reset
      </button>
      <button class="btn btn-sm btn-primary" v-if="changed" @click="save">
        <i class="fa fa-floppy-o"></i>
        Save
      </button>
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        status
      </span>
      <input
        :value="state"
        class="form-control"
        disabled
        >
      <span class="input-group-btn" v-if="state=='connected'">
        <button
        type="button"
        class="btn btn-primary"
        @click="changeState"
        >
          <i :class="fa fa-check"></i>
          Disconnect
        </button>
      </span>
      <span class="input-group-btn" v-if="state=='disconnected'">
        <button
        type="button"
        class="btn btn-primary"
        @click="changeState"
        >
          <i :class="fa fa-refresh fa-spin"></i>
          Connect
        </button>
      </span>
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        created
      </span>
      <input
        :value="serverConfig.created"
        class="form-control"
        disabled
        >
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        name
      </span>
      <input
        v-model="config.name"
        :placeholder="serverConfig.name"
        type="text"
        class="form-control"
        :disabled="!serverConfig.can_edit"
        >
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        host
      </span>
      <input
        v-model="config.host"
        :placeholder="serverConfig.host"
        type="text"
        class="form-control"
        :disabled="!serverConfig.can_edit"
        >
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        login name
      </span>
      <input
        v-model="config.login"
        :placeholder="serverConfig.login"
        :placeholder="defLogin"
        type="text"
        class="form-control"
        :disabled="!serverConfig.can_edit"
        >
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        connect command
      </span>
      <input
        v-model="config.command"
        :placeholder="serverConfig.command"
        type="text"
        class="form-control"
        :disabled="!serverConfig.can_edit"
        >
    </div>
    <div class="input-group">
      <span class="input-group-addon">
        private key
      </span>
      <input
        v-model="config.key"
        :placeholder="serverConfig.key"
        type="text"
        class="form-control"
        :disabled="!serverConfig.can_edit"
        >
    </div>
    <vs-colorpicker :value.sync="color" selfcontain>
      <span class="input-group-addon">
        color
      </span>
    </vs-colorpicker>
  </div>
</div>
